# scons

SCons is an Open Source software construction tool--that is, a build tool; an improved substitute for the classic Make utility; a better way to build software.
SCons is based on the design which won the Software Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need to learn a new build tool syntax.
SCons maintains a global view of all dependencies in a tree, and can scan source (or other) files for implicit dependencies, such as files specified on #include lines.
SCons uses MD5 signatures to rebuild only when the contents of a file have really changed, not just when the timestamp has been touched.
SCons supports side-by-side variant builds, and is easily extended with user-defined Builder and/or Scanner objects.

